注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

淘尽网 官方博客

淘尽网http://www.tao3w.com做最好的比价网站

 
 
 

日志

 
 
关于我

淘尽网 http://www.tao3w.com 做最好的比价网站,做最好的数据抓取专家。

网易考拉推荐

linux下安装apache  

2011-02-16 17:17:57|  分类: LINUX |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
今天用lampp发现gd库无论如何都搞不定,没办法,只有手动安装gd库了
apt-get install php5-gd
安装完成后,竟然发现连apache也给安装上了,
安装时候,屏幕显示如下信息
****************************************************************************************************************************************************
root@taobao-0123456789:~# apt-get install php5-gd
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
下列软件包是自动安装的并且现在不需要了:
  libdmraid1.0.0.rc16 python-pyicu libdebian-installer4 cryptsetup libecryptfs0 rdate bogl-bterm rsync ecryptfs-utils
  libdebconfclient0 dmraid
使用'apt-get autoremove'来删除它们
下列【新】软件包将被安装:
  php5-gd
升级了 0 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 281 个软件包未被升级。
需要下载 0B/34.8kB 的软件包。
解压缩后会消耗掉 156kB 的额外空间。
选中了曾被取消选择的软件包 php5-gd。
(正在读取数据库 ... 系统当前总共安装有 105386 个文件和目录。)
正在解压缩 php5-gd (从 .../php5-gd_5.3.2-1ubuntu4.7_i386.deb) ...
正在处理用于 libapache2-mod-php5 的触发器...
 * Reloading web server config apache2
正在设置 php5-gd (5.3.2-1ubuntu4.7) ...
************************************************************************************************************************************************

无奈只有卸掉
apt-get remove php5-gd
卸掉不行啊,又安装,并且还安了
apt-get install php5
屏幕显示如下安装信息
***********************************************************************************************************************************************
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
下列软件包是自动安装的并且现在不需要了:
  libdmraid1.0.0.rc16 python-pyicu libdebian-installer4 cryptsetup libecryptfs0 rdate bogl-bterm rsync ecryptfs-utils
  libdebconfclient0 dmraid
使用'apt-get autoremove'来删除它们
下列【新】软件包将被安装:
  php5
升级了 0 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 281 个软件包未被升级。
需要下载 1,116B 的软件包。
解压缩后会消耗掉 20.5kB 的额外空间。
获取:1 http://mirrors.163.com/ubuntu/ lucid-security/main php5 5.3.2-1ubuntu4.7 [1,116B]
下载 1,116B,耗时 0秒 (23.4kB/s)
选中了曾被取消选择的软件包 php5。
(正在读取数据库 ... 系统当前总共安装有 105388 个文件和目录。)
正在解压缩 php5 (从 .../php5_5.3.2-1ubuntu4.7_all.deb) ...
正在设置 php5 (5.3.2-1ubuntu4.7) ...
***********************************************************************************************************************************************
安装完毕后发现php 文件应该放在var/www目录内
  评论这张
 
阅读(210)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017